# To get started with security, check out the documentation:
# https://symfony.com/doc/current/security.html
security:
    encoders:
        FOS\UserBundle\Model\UserInterface: bcrypt

    # https://symfony.com/doc/current/security.html#b-configuring-how-users-are-loaded
    providers:
        in_memory:
            memory: ~

        fos_userbundle:
            id: fos_user.user_provider.username     

    firewalls:
        main:
            pattern: ^/
            # user_checker: fos_user.user_checker
            form_login:
                provider: fos_userbundle
                csrf_token_generator: security.csrf.token_manager

            logout:
                target: /login
            anonymous:    true

    access_control:
        - { path: ^/api/v1, role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/user, role: ROLE_USER }
        - { path: ^/login$, role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/admin, role: ROLE_ADMIN }


    # firewalls:
    #     # disables authentication for assets and the profiler, adapt it according to your needs
    #     dev:
    #         pattern: ^/(_(profiler|wdt)|css|images|js)/
    #         security: false

    #     main:
    #         anonymous: ~
    #         # activate different ways to authenticate

    #         # https://symfony.com/doc/current/security.html#a-configuring-how-your-users-will-authenticate
    #         #http_basic: ~

    #         # https://symfony.com/doc/current/security/form_login_setup.html
    #         #form_login: ~
